/* npf audio: max out the width */
.npf-small.npf-audio-only { width:100%!important; }

/* prevent bold/italic colors from overriding inline 'color' style, if any */
/* most noticeable if caption text has gradient text */
/* test posts: glen-test.tumblr.com/tagged/gradient-text */
.comment .comment-body span[style*="color:"] *,
.comment .comment-body b[style*="color:"] *,
.comment .comment-body i[style*="color:"] *,
.comment .comment-body u[style*="color:"] *,
.comment .comment-body s[style*="color:"] *,
.comment .comment-body strong[style*="color:"] *,
.comment .comment-body em[style*="color:"] *,
.comment .comment-body pre[style*="color:"] *,
.comment .comment-body code[style*="color:"] *,
.comment .comment-body small[style*="color:"] *,
.comment .comment-body big[style*="color:"] *,
.comment .comment-body sup[style*="color:"] *,
.comment .comment-body sub[style*="color:"] *,
.comment .comment-body h2[style*="color:"] *,
.comment .comment-body h3[style*="color:"] *,
.comment .comment-body h4[style*="color:"] *,
.comment .comment-body h5[style*="color:"] *,
.comment .comment-body h6[style*="color:"] *
{
    color:inherit;
}

.q-top, .a-top {
  word-break:break-all;
}

/*------ ALT TEXT / IMAGE DESCRIPTIONS -------*/
span.tmblr-alt-text-helper {
    display:block!important;
    position:absolute!important;
    top:0!important;right:0!important;
    left:auto!important;bottom:auto!important;
    margin-top:12px!important;
    margin-right:12px!important;
    font-family:var(--Caps-Font-Family)!important;
    font-weight:var(--Caps-Font-Weight)!important;
    text-transform:uppercase!important;
    letter-spacing:var(--Caps-Letter-Spacing)!important;
    font-size:var(--Caps-Font-Size)!important;
    color:var(--Misc-Buttons-Icon)!important;
    line-height:1!important;
    padding:5px 7px!important;
    background:rgba(var(--Misc-Buttons-BG-RGB),0.69)!important;
    border-radius:3px!important;
    opacity:1!important;
    transition:background-color 0.2s ease-in-out;
    cursor:help!important;
    z-index:1;
}

span.tmblr-alt-text-helper > * {
    pointer-events:none;
}

span.tmblr-alt-text-helper:hover {
    background:var(--Misc-Buttons-BG)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing {
    transition:opacity .35s cubic-bezier(.175,.885,.32,1.275)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing .popover {
    transform:none!important;
    transition:none!important;
}

[data-help-popover="alt-text-helper"] .popover {
    padding:var(--Post-Padding)!important;
    background:var(--Post-BG)!important;
    border:var(--Post-Borders-Size) solid var(--Post-Borders-Color)!important;
    border-radius:var(--Rounded-Corners)!important;
    box-shadow:none!important;
    cursor:initial!important;
    animation:popover_alt .35s cubic-bezier(.175,.885,.32,1.275)!important;
    transition:none!important;
    transform-origin:top!important;
}

@keyframes popover_alt {
    from { opacity:0; }
    to { opacity:1; }
}

[data-help-popover="alt-text-helper"] .popover.tutorial .title {
  margin:0 0 1em 0!important;
  font-family:var(--Heading-Font-Family)!important;
  text-transform:var(--Heading-Text-Case)!important;
  letter-spacing:var(--Heading-Letter-Spacing)!important;
  word-spacing:var(--Heading-Word-Spacing)!important;
  font-size:var(--Heading-Font-Size)!important;
  font-weight:var(--Heading-Font-Weight)!important;
  line-height:1!important;
  color:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .content {
  border:var(--Post-Accent-Border-Size) solid var(--Post-Accent-Border-Color)!important;
  padding:calc(var(--Post-Accent-Padding) - (((var(--Body-Font-Size) * var(--Body-Line-Height)) - var(--Body-Font-Size)) / 2)) var(--Post-Accent-Padding)!important;
  background:var(--Post-Accent-BG)!important;
  border-radius:var(--Post-Accent-Rounded-Corners)!important;
  font-family:var(--Body-Font-Family)!important;
  font-size:var(--Body-Font-Size)!important;
  color:var(--Post-Accent-Text)!important;
  line-height:var(--Body-Line-Height)!important;
  letter-spacing:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .ok_button {
  margin:1em 0 0 0!important;
  border:none!important;
  padding:0.75em 0.75em!important;
  background-color:var(--Misc-Buttons-BG)!important;
  border-radius:4px!important;
  font-family:var(--Caps-Font-Family)!important;
  font-weight:var(--Caps-Font-Weight)!important;
  text-transform:uppercase!important;
  font-size:calc(var(--Caps-Font-Size) + 1px)!important;
  color:var(--Misc-Buttons-Icon)!important;
  line-height:1!important;
  letter-spacing:var(--Caps-Letter-Spacing)!important;
  cursor:help!important;
}

/* "m@ture content" warning - cover entire screen */
.tmblr-iframe-overlay .content-warning-cover {
    top:0!important;
    z-index:2147483647!important;
}

/*--------------------------------------*/

.spinner-svg path {
	fill:transparent;
	animation-name:jzbnc;
	animation-duration:calc(var(--Spinner-Spoke-Delay) * 8);
	animation-timing-function:linear;
	animation-iteration-count:infinite;
	animation-direction:normal;
	animation-fill-mode:forwards;
}

.spinner-svg path:nth-child(1){
	animation-delay:0s;
}

.spinner-svg path:nth-child(2){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 1);
}

.spinner-svg path:nth-child(3){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 2);
}

.spinner-svg path:nth-child(4){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 3);
}

.spinner-svg path:nth-child(5){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 4);
}

.spinner-svg path:nth-child(6){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 5);
}

.spinner-svg path:nth-child(7){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 6);
}

.spinner-svg path:nth-child(8){
	animation-delay:calc(var(--Spinner-Spoke-Delay) * 7);
}

@keyframes jzbnc {
	0% {
		fill:var(--Spinner-Color);
	}
	
	100% {
		fill:transparent;
	}
}

/*--------------------------------------*/
.custard {
  position:fixed;
  bottom:0;left:0;
  margin-bottom:20px;
  margin-left:20px;
  z-index:699;
}

.custard > a {
  display:flex;
  align-items:center;
  gap:0.69em;
  font-family:var(--Caps-Font-Family);
  font-size:calc(var(--Caps-Font-Size) - 1px);
  font-weight:var(--Caps-Font-Weight);
  text-transform:uppercase;
  letter-spacing:var(--Caps-Letter-Spacing);
  word-spacing:var(--Caps-Word-Spacing);
  padding:0.85rem;
  border:none;
  border-radius:var(--Post-Accent-Rounded-Corners);
  background:var(--Misc-Buttons-BG);
  color:var(--Misc-Buttons-Icon);
  box-shadow:0 0 1rem 0 rgba(0,0,0,15%);
  cursor:pointer;
}

.custard > a > * {
  flex-shrink:0;
}

.custard > a .hugeicons {
  font-size:var(--Body-Font-Size);
}

.custard > a > .hugeicons:last-of-type:not(:only-of-type){
  display:none;
}

.custard > a:hover > .hugeicons:last-of-type:not(:only-of-type){
  display:block;
}

.custard > a:hover > .hugeicons:first-of-type:not(:only-of-type){
  display:none;
}